Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.xml.out
Class XmlWriter

    java.lang.Object
      convert.xml.out.XmlWriter

    public class XmlWriter

extends java.lang.Object

Constructor Summary
`XmlWriter(java.io.Writer writer, CharRepertoire cr)`

Method Summary
`void` | `attribute(java.lang.String name, java.lang.String value)`
`void` | `characters(java.lang.String str)`
`void` | `characters(java.lang.String str, boolean useCharRef)`
`void` | `close()`
`void` | `comment(java.lang.String str)`
`void` | `endElement()`
`void` | `flush()`
`void` | `processingInstruction(java.lang.String target, java.lang.String str)`
`void` | `setNewline(java.lang.String newline)`
`void` | `startElement(java.lang.String name)`
`void` | `writeXmlDecl(java.lang.String enc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlWriter

    public XmlWriter(java.io.Writer writer,
                     CharRepertoire cr)

Method Detail

### setNewline

    public void setNewline(java.lang.String newline)

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeXmlDecl

    public void writeXmlDecl(java.lang.String enc)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### startElement

    public void startElement(java.lang.String name)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### endElement

    public void endElement()
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### attribute

    public void attribute(java.lang.String name,
                          java.lang.String value)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### characters

    public void characters(java.lang.String str)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### characters

    public void characters(java.lang.String str,
                           boolean useCharRef)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### comment

    public void comment(java.lang.String str)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String str)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD